Bug 524238

Summary: Review Request: libclaw - C++ Library Absolutely Wonderful
Product: [Fedora] Fedora Reporter: Lubomir Rintel <lkundrak>
Component: Package ReviewAssignee: Xavier Bachelot <xavier>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, notting, xavier
Target Milestone: ---Flags: xavier: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-09 10:04:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 524283    
Attachments:
Description Flags
patch fixing the lib dir issue none

Description Lubomir Rintel 2009-09-18 13:43:41 UTC
SRPM: http://v3.sk/~lkundrak/SRPMS/libclaw-1.5.4-1.fc12.src.rpm
SPEC: http://v3.sk/~lkundrak/SPECS/libclaw.spec

Description:

Claw (C++ Library Absolutely Wonderful) is a C++ library of various utility
functions. In doesn't have a particular objective but being useful to
anyone.

Comment 1 Xavier Bachelot 2009-09-18 16:19:47 UTC
I did a quick and dirty package for this the other day, but didn't bother to put it under review as the package needing it is not really interesting at the moment (plee-the-bear, an game at early stage of development). Anyway, you might want to take a look, I spotted a few differences :
- BuildRequires:  zlib-devel
- -devel needs to require cmake for %{_datadir}/cmake/Modules ownership
- move docs to another place
- fix for file encoding and end of lines
- %check section

Also, you fixed the early stripping, which I did not do.
 
Here's my spec and SRPM if you want to take a look :
http://www.bachelot.org/fedora/SPECS/libclaw.spec
http://www.bachelot.org/fedora/SRPMS/libclaw-1.5.4-1.fc10.src.rpm

Comment 2 Jason Tibbitts 2009-09-18 17:52:43 UTC
Might I add that the Summary: doesn't say what the package does.  Also, this fails to build for me in rawhide, x86_64:

Processing files: libclaw-1.5.4-1.fc12.x86_64
error: File not found by glob: /builddir/build/BUILDROOT/libclaw-1.5.4-1.fc12.x86_64/usr/lib64/*.so.*

Please clear the whiteboard when you have a buildable package.  I suggest providing a link to a successful koji scratch build in your reviews.

Comment 3 Xavier Bachelot 2009-09-29 23:17:34 UTC
Created attachment 363061 [details]
patch fixing the lib dir issue

Comment 4 Lubomir Rintel 2009-10-02 16:59:40 UTC
SRPM: http://v3.sk/~lkundrak/SRPMS/libclaw-1.5.4-2.fc11.src.rpm
SPEC: http://v3.sk/~lkundrak/SPECS/libclaw.spec

* Fri Oct 02 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.5.4-2
- Merge in changes from Xavier Bachelot's package:
- More sensible Group name
- Fix libdir name for 64bit archs
- Add examples to documentation
- Fix examples encoding
- Let -devel require cmake

http://koji.fedoraproject.org/koji/taskinfo?taskID=1724665

Comment 5 Xavier Bachelot 2009-10-06 20:25:03 UTC
rpmlint is still complaining :

libclaw-devel.i586: W: file-not-utf8 /usr/share/doc/libclaw-devel-1.5.4/examples/graphe/algos.cpp
libclaw-devel.i586: W: file-not-utf8 /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/allumettes/allumettes.cpp
libclaw-devel.i586: W: file-not-utf8 /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/allumettes/allumettes.hpp
libclaw-devel.i586: W: file-not-utf8 /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/allumettes/allumettes_main.cpp
libclaw-devel.i586: W: file-not-utf8 /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/allumettes/allumettes_main.hpp
libclaw-devel.i586: W: file-not-utf8 /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/morpion_console/morpion.cpp
libclaw-devel.i586: W: file-not-utf8 /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/morpion_console/morpion.hpp
libclaw-devel.i586: W: file-not-utf8 /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/morpion_console/morpion_main.cpp
libclaw-devel.i586: W: file-not-utf8 /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/morpion_console/morpion_main.hpp
libclaw-devel.i586: W: wrong-file-end-of-line-encoding /usr/share/doc/libclaw-devel-1.5.4/examples/avl/main.cpp
libclaw-devel.i586: W: wrong-file-end-of-line-encoding /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/allumettes/allumettes.cpp
libclaw-devel.i586: W: wrong-file-end-of-line-encoding /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/allumettes/allumettes.hpp
libclaw-devel.i586: W: wrong-file-end-of-line-encoding /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/allumettes/allumettes_main.cpp
libclaw-devel.i586: W: wrong-file-end-of-line-encoding /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/morpion_console/morpion.cpp
libclaw-devel.i586: W: wrong-file-end-of-line-encoding /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/morpion_console/morpion.hpp
libclaw-devel.i586: W: wrong-file-end-of-line-encoding /usr/share/doc/libclaw-devel-1.5.4/examples/ia_jeux/morpion_console/morpion_main.cpp

Comment 6 Lubomir Rintel 2009-10-23 14:49:14 UTC
Whoops, sorry

SRPM: http://v3.sk/~lkundrak/SRPMS/libclaw-1.5.4-3.fc12.src.rpm
SPEC: http://v3.sk/~lkundrak/SPECS/libclaw.spec

rpmlint silent now

Comment 7 Xavier Bachelot 2009-11-04 01:20:09 UTC
libclaw review :

 +:ok, =:needs attention, -:needs fixing. n/a:not applicable

MUST Items:
[+] MUST: rpmlint must be run on every package.
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
b5e9902c85e6ba7213ce4bde75574b7b
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[n/a] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[n/a] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[n/a] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[n/a] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[n/a] MUST: Static libraries must be in a -static package.
[n/a] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[n/a] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[n/a] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[n/a] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[n/a] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[n/a] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[n/a] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[n/a] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Packages should try to preserve timestamps of original installed files.

APPROVED

Comment 8 Lubomir Rintel 2009-11-04 07:02:32 UTC
Thank you!

New Package CVS Request
=======================
Package Name: libclaw
Short Description: C++ Library Absolutely Wonderful
Owners: lkundrak xavierb
Branches: F-11 F-12 EL-5

Comment 9 Kevin Fenzi 2009-11-06 20:45:24 UTC
cvs done.

Comment 10 Lubomir Rintel 2009-11-09 10:04:44 UTC
Imported and build.
Thank you!